@echo off

if "%1" == "1" goto SET_RELEASE
if "%1" == "0" goto SET_DEBUG

echo .
echo .  Usage :  build {0 or 1} [cur or all] [gnu or mri] [version]
echo .
echo .  OPTIONS
echo .
echo .  0: to build *.GDB or *.ABS
echo .  1: to build *.CVX
echo .
echo .  cur : to be compiled modified files (DEFAULT)
echo .  all : to be compiled all
echo .
echo .  gnu : GNU      (AUTODETECT)
echo .  mri : Microtek (AUTODETECT)
echo .
echo .  version : kor or KOR (DEFAULT)
echo .            eng or ENG
echo .            chi or CHI
echo .
echo .  Example: build 0 all mri kor
echo .
pause
goto EXIT

:SET_RELEASE
SET MAKEBIN=release
goto CHECK_CLEAN

:SET_DEBUG
SET MAKEBIN=debug

:CHECK_CLEAN
if "%2" == "all" goto CLEANFIRST
if "%2" == "ALL" goto CLEANFIRST
if "%3" == "all" goto CLEANFIRST
if "%3" == "ALL" goto CLEANFIRST
if "%4" == "all" goto CLEANFIRST
if "%4" == "ALL" goto CLEANFIRST
goto CHECK_VERSION

:CLEANFIRST
del *.cvx > nul
del *.gdb > nul
del *.abs > nul
del OBJ\*.obj > nul

:CHECK_VERSION
if "%2" == "kor" goto KOR
if "%2" == "KOR" goto KOR
if "%3" == "kor" goto KOR
if "%3" == "KOR" goto KOR
if "%4" == "kor" goto KOR
if "%4" == "KOR" goto KOR
if "%2" == "eng" goto ENG
if "%2" == "ENG" goto ENG
if "%3" == "eng" goto ENG
if "%3" == "ENG" goto ENG
if "%4" == "eng" goto ENG
if "%4" == "ENG" goto ENG
if "%2" == "chi" goto CHI
if "%2" == "CHI" goto CHI
if "%3" == "chi" goto CHI
if "%3" == "CHI" goto CHI
if "%4" == "chi" goto CHI
if "%4" == "CHI" goto CHI

rem [OTHER LOCALE LIST]
rem
rem set LOCALE=_KORVER_
rem set LOCALE=_ENGVER_
rem set LOCALE=_SIMPLIFIED_
rem set LOCALE=_BIG5_
rem set LOCALE=_JPNVER_
rem set LOCALE=_HEBREW_
rem set LOCALE=_SPANISH_
rem set LOCALE=_DEUTSCH_
rem set LOCALE=_SWEDISH_
rem set LOCALE=_FRENCH_
rem set LOCALE=_ITALIAN_
rem set LOCALE=_ESPANISH_
rem set LOCALE=_PORTUGAL_

:KOR
set VERSION=_VERSION_
set LOCALE=_KORVER_
copy .\Resource\Kor\*.* .\Resource > nul
goto CHECK_DEVENV

:ENG
set VERSION=_VERSION_
set LOCALE=_ENGVER_
copy .\Resource\Eng\*.* .\Resource > nul
goto CHECK_DEVENV

:CHI
set VERSION=_VERSION_
set LOCALE=_SIMPLIFIED_
copy .\Resource\Chi\*.* .\Resource > nul
goto CHECK_DEVENV

:CHECK_DEVENV
if "%2" == "gnu" goto GNU
if "%2" == "GNU" goto GNU
if "%2" == "mri" goto MRI
if "%2" == "MRI" goto MRI
if "%3" == "gnu" goto GNU
if "%3" == "GNU" goto GNU
if "%3" == "mri" goto MRI
if "%3" == "MRI" goto MRI
if "%4" == "gnu" goto GNU
if "%4" == "GNU" goto GNU
if "%4" == "mri" goto MRI
if "%4" == "MRI" goto MRI

:CHECK_GNU
if "%GCC_EXEC_PREFIX%" == "" goto CHECK_MRI
goto GNU

:CHECK_MRI
if "%MRI_68K_INC%" == "" goto NO_DEVENV
goto MRI

:GNU
nmake /NOLOGO -f.\BUILD.GNU\Makefile.gnu %MAKEBIN% VERSION=%VERSION% LOCALE=%LOCALE%
if ERRORLEVEL 1 goto ERROR_EXIT
goto SUCCESS

:MRI
nmake /NOLOGO -f.\BUILD.MRI\Makefile.mri %MAKEBIN% VERSION=%VERSION% LOCALE=%LOCALE%
if ERRORLEVEL 1 goto ERROR_EXIT
goto SUCCESS

:NO_DEVENV
echo .
echo .	There is no development environment installed!
echo .
goto EXIT

:ERROR_EXIT
echo @@@@@@@ ERROR DURING MAKE! @@@@@@@
goto EXIT

:SUCCESS
echo ####### MAKE COMPLETED! #######

:EXIT
